
#ifndef INFO_H__
#define INFO_H__

#include <qtextbrowser.h>
#include <qdialog.h>

class CorsairWindow;
class Feed;
class QLineEdit;
class QCheckBox;

class InfoBrowser : public QTextBrowser
{
	Q_OBJECT;

	CorsairWindow *m_main;

public:
	InfoBrowser(CorsairWindow *main, QWidget *parent);

public slots:
    void setSource(const QString &src);
};


class FeedInfo : public QDialog
{
	Q_OBJECT;

	CorsairWindow *m_main;
	Feed          *m_feed;
	
	QLineEdit     *m_nameEdit;
	QLineEdit     *m_urlEdit;
	QTextBrowser  *m_text;
	QCheckBox     *m_brokenXMLCB;

public:
	FeedInfo(CorsairWindow *);
	~FeedInfo();

	void setFeed(Feed *f);
	void accept();
};

#endif
